Package twisted :: Package web :: Module widgets

[frames | no frames]

## Module twisted.web.widgets

This module is DEPRECATED.

Classes
`_RequestDeferral` |
`Container` |
`DataWidget` |
`Form` | I am a web form.
`Gadget` | I am a collection of Widgets, to be rendered through a Page Factory.
`Page` |
`Presentation` | I am a widget which formats a template with interspersed python expressions.
`Reloader` |
`RenderSession` | I handle rendering of a list of deferreds, outputting their results in correct order.
`Sidebar` |
`StreamWidget` | A 'streamable' component of a webpage.
`Time` |
`TitleBox` |
`WebWidgetNodeMutator` | A WebWidgetNodeMutator replaces the node that is passed in to generate with the result of generating the twisted.web.widget instance it adapts.
`Widget` | A component of a web page.
`WidgetMixin` | A mix-in wrapper for a Widget.
`WidgetPage` | I am a Page that takes a Widget in its constructor, and displays that Widget wrapped up in a simple HTML template.
`WidgetResource` |

Exceptions
`FormInputError` |

Function Summary
| `_ellipsize(x)`
| ``htmlFor_checkbox`(write, name, value)` A checkbox.
| ``htmlFor_checkgroup`(write, name, value)` A check-group.
| `htmlFor_file(write, name, value)`
| `htmlFor_hidden(write, name, value)`
| ``htmlFor_menu`(write, name, value, allowMultiple)` Value of the format [(optionName, displayName[, selected]), ...]
| ``htmlFor_multimenu`(write, name, value)` Value of the format [(optionName, displayName[, selected]), ...]
| `htmlFor_password(write, name, value)`
| ``htmlFor_radio`(write, name, value)` A radio button group.
| `htmlFor_string(write, name, value)`
| `htmlFor_text(write, name, value)`
| `listify(x)`
| `possiblyDeferWidget(widget, request)`

Variable Summary
`int` | `False` = 0
`int` | `FORGET_IT` = 99
`int` | `True` = 1

Function Details

### htmlFor_checkbox(write, name, value)

A checkbox.

### htmlFor_checkgroup(write, name, value)

A check-group.

### htmlFor_menu(write, name, value, allowMultiple=0)

Value of the format [(optionName, displayName[, selected]), ...]

### htmlFor_multimenu(write, name, value)

Value of the format [(optionName, displayName[, selected]), ...]

### htmlFor_radio(write, name, value)

A radio button group.

Variable Details

### False

  Type:
    `int`
  Value:

        0

### FORGET_IT

  Type:
    `int`
  Value:

        99

### True

  Type:
    `int`
  Value:

        1

Generated by Epydoc 2.0 on Sat May 15 20:08:41 2004 | http://epydoc.sf.net